// ====================================================================
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) DIGITEO - 2009-2010 - Allan CORNET
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at    
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================
mode(-1);
lines(0);

TOOLBOX_NAME  = "mingw";
TOOLBOX_TITLE = "Mingw Compiler support for Scilab";
toolbox_dir   = get_absolute_file_path("builder.sce");
// =============================================================================
// Check Scilab's version
// =============================================================================
try
  v = getversion("scilab");
catch
  error(gettext("Scilab 5.3 or more is required."));
end

if v(1) < 6 & v(2) < 3 then
  error(gettext('Scilab 5.3 or more is required.'));
end
// =============================================================================
// Action
// =============================================================================
if getos() == 'Windows' then
  tbx_builder_macros(toolbox_dir);
  tbx_builder_help(toolbox_dir);
  tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
  tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);
else
  warning("Only for Windows Environment.");
end
// =============================================================================
// Clean variables
// =============================================================================
clear toolbox_dir TOOLBOX_NAME TOOLBOX_TITLE;
clear tbx_builder_macros
clear tbx_builder_help
clear tbx_build_loader
clear tbx_build_cleaner
// =============================================================================
